Wdm.KEY_BASIC_INFORMATION (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Wdm, class: KEY_BASIC_INFORMATION

Package com.sun.jna.platform.win32

# Class Wdm.KEY_BASIC_INFORMATION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Wdm.KEY_BASIC_INFORMATION

Enclosing interface:
  Wdm

@FieldOrder({"LastWriteTime","TitleIndex","NameLength","Name"}) public static class Wdm.KEY_BASIC_INFORMATION extends Structure
The KEY_BASIC_INFORMATION structure defines a subset of the full information that is available for a registry key.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `LastWriteTime`
  The last time the key or any of its values changed.
  `char[]`
  `Name`
  A string of Unicode characters naming the key.
  `int`
  `NameLength`
  Specifies the size in bytes of the following name.
  `int`
  `TitleIndex`
  Device and intermediate drivers should ignore this member.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KEY_BASIC_INFORMATION()`
  `KEY_BASIC_INFORMATION(int size)`
  `KEY_BASIC_INFORMATION(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Name of the key.
  `void`
  `read()`
  Reads the fields of the struct from native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LastWriteTime

    public long LastWriteTime
    The last time the key or any of its values changed.

  - ### TitleIndex

    public int TitleIndex
    Device and intermediate drivers should ignore this member.

  - ### NameLength

    public int NameLength
    Specifies the size in bytes of the following name.

  - ### Name

    public char[] Name
    A string of Unicode characters naming the key. The string is not null-terminated.

- ## Constructor Details

  - ### KEY_BASIC_INFORMATION

    public KEY_BASIC_INFORMATION()

  - ### KEY_BASIC_INFORMATION

    public KEY_BASIC_INFORMATION(int size)

  - ### KEY_BASIC_INFORMATION

    public KEY_BASIC_INFORMATION(Pointer memory)

- ## Method Details

  - ### getName

    public String getName()
    Name of the key.
    Returns:
      String.

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`